<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <base href="{{ RELATIVE_PATH }}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" href="favicon.ico" />
    <title>openZmeter | Login</title>
    <style>
      * {
        box-sizing: border-box;
        font-family: sans-serif;
      }
      body, html {
        display: table;
        position: absolute;
        height: 100%;
        width: 100%;
        background-color: #474544;
        background-image: none;
        overflow: hidden;
        margin: 0px;
      }
      .card {
        max-width: 350px;
        background-color: #F7F7F7;
        padding: 40px 40px 10px 40px;
        margin: auto;
      }
      .container {
        display: table-cell;
        vertical-align: middle;
        width: 100%;
        position: relative;
        z-index: 10;
        margin-right: auto;
        margin-left: auto;
        padding-left: 15px;
        padding-right: 15px;
      }
      .form-group {
        margin-bottom: 15px;
      }
      .form-control {
        display: block;
        width: 100%;
        height: 34px;
        padding: 6px 12px;
        font-size: 14px;
        line-height: 1.42857143;
        color: #555;
        background-color: #fff;
        background-image: none;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
        transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
      }
      .btn {
        background-color: #E8701C;
        font-weight: 700;
        color: #F7F7F7;
        display: inline-block;
        text-align: center;
        vertical-align: middle;
        touch-action: manipulation;
        cursor: pointer;
        border: 1px solid transparent;
        white-space: nowrap;
        padding: 6px 12px;
        font-size: 14px;
        line-height: 1.42857143;
        border-radius: 4px;
        user-select: none;
        width: 100%
      }
      .btn.disabled {
        cursor: not-allowed;
        opacity: .65;
      }
      .panel-footer {
        text-align: right;
        margin-top: 15px;
        display: inline-table;
      }
      .alert {
        margin: 5px;
        width: 100%;
        border: 1px solid transparent;
        border-radius: 6px;
        text-align: center;
        height: 40px;
        display: table-cell;
        vertical-align: middle;
        font-size: 12px;
      }
      .alert-danger {
        color: #721c24;
        background-color: #f8d7da;
        border-color: #f5c6cb;
      }
      img.trademark {
        padding-top: 4px;
        margin-left: 5px;
      }
      img.logo {
        margin-bottom: 5px;
        max-width:100%;
      }
      .hide {
        display: none;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <div class="card">
        <div>
          <img src="Logo.png" class="logo">
          <div class="form-group">
            <input type="text" id="username" class="form-control" placeholder="Username" required autofocus autocomplete="off" autocapitalize="off" autocorrect="off">
          </div>
          <div class="form-group">
            <input type="password" id="password" class="form-control" placeholder="Password" required>
          </div>
          <button class="btn" type="button" id="button">Sign in</button>
        </div>
        <div class="panel-footer">
          <div class="alert" id="filler">
            Visit us at<br><a href="http://www.openzmeter.com" style="color: black">www.openzmeter.com</a>
          </div>
          <div class="alert alert-danger hide" id="error">Wrong password!</div>
          <a href="http://www.zred.es"><img src="zRed.png" class="trademark"></a>
        </div>
      </div>
    </div>
    <script>
      function addClass(el, className) {
        if(el.classList)
          el.classList.add(className);
        else if (!hasClass(el, className))
          el.className += " " + className;
      }
      function removeClass(el, className) {
        if(el.classList)
          el.classList.remove(className)
        else if (hasClass(el, className)) {
          var reg = new RegExp('(\\s|^)' + className + '(\\s|$)');
          el.className = el.className.replace(reg, ' ');
        }
      }
      function SendLogin() {
        addClass(document.getElementById('button'), 'disabled');
        var Request = new XMLHttpRequest();
        Request.open("POST", 'logIn', true);
        Request.setRequestHeader("Content-Type", "application/json");
        Request.onreadystatechange = function () {
          if(Request.readyState === 4) {
            if(Request.status === 200) {
              var Response = JSON.parse(Request.responseText);
              if(Response.Result === true) {
                localStorage.setItem('LastLogin', Response.LastLogin);
                localStorage.setItem('UserName', document.getElementById('username').value);
                setTimeout(function() {
                  location.reload();
                }, 500);
              } else {
                removeClass(document.getElementById('error'), 'hide');
                addClass(document.getElementById('filler'), 'hide');
                localStorage.removeItem('UserName');
                setTimeout(function() {
                  addClass(document.getElementById('error'), 'hide');
                  removeClass(document.getElementById('filler'), 'hide');
                  removeClass(document.getElementById('button'), 'disabled');
                }, 2000);
              }
            }
          }
        };
        Request.send(JSON.stringify({ Username: document.getElementById('username').value, Password: document.getElementById('password').value }));
      }
      document.getElementById('button').onclick = SendLogin;
      window.addEventListener("keyup", function(event) {
        if(event.keyCode === 13) SendLogin();
      });
    </script>
  </body>
</html>
